libzypp: zyppng::operators::detail::progress_helper< progress_helper_mode::Finish > Struct Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zyppng::operators::detail::progress_helper< progress_helper_mode::Finish > Struct Reference

`#include <zypp-core/zyppng/ui/progressobserver.h>`

## Public Member Functions
| progress_helper (ProgressObserverRef &&progressObserver, ProgressObserver::FinishResult result=ProgressObserver::Success)
template<typename T>
auto | operator() (T &&t)
void | operator() ()
void | update ()
| progress_helper (ProgressObserverRef &&progressObserver, std::optional< std::string > &&newStr, double inc)
auto | operator() (T &&t)
void | operator() ()
void | update ()

## Private Attributes
ProgressObserverRef | _progressObserver
ProgressObserver::FinishResult | _result
ProgressObserverRef | _progressObserver
std::optional< std::string > | _newString
double | _progressInc

## Detailed Description

Definition at line 192 of file progressobserver.h.

## Constructor & Destructor Documentation

## ◆ progress_helper() [1/2]

zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::progress_helper | ( | ProgressObserverRef && | progressObserver,
|  | ProgressObserver::FinishResult | result = ProgressObserver::Success )
| inline

Definition at line 194 of file progressobserver.h.

## ◆ progress_helper() [2/2]

zyppng::operators::detail::progress_helper< mode >::progress_helper | ( | ProgressObserverRef && | progressObserver,
|  | std::optional< std::string > && | newStr,
|  | double | inc )
| inline

Definition at line 133 of file progressobserver.h.

## Member Function Documentation

## ◆ operator()() [1/4]

template<typename T>

auto zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::operator() | ( | T && | t | ) |
| inline

Definition at line 199 of file progressobserver.h.

## ◆ operator()() [2/4]

void zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::operator() | ( |  | ) |
| inline

Definition at line 204 of file progressobserver.h.

## ◆ update() [1/2]

void zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::update | ( |  | ) |
| inline

Definition at line 208 of file progressobserver.h.

## ◆ operator()() [3/4]

auto zyppng::operators::detail::progress_helper< mode >::operator() | ( | T && | t | ) |
| inline

Definition at line 140 of file progressobserver.h.

## ◆ operator()() [4/4]

void zyppng::operators::detail::progress_helper< mode >::operator() | ( |  | ) |
| inline

Definition at line 145 of file progressobserver.h.

## ◆ update() [2/2]

void zyppng::operators::detail::progress_helper< mode >::update | ( |  | ) |
| inline

Definition at line 149 of file progressobserver.h.

## Member Data Documentation

## ◆ _progressObserver [1/2]

ProgressObserverRef zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::_progressObserver
| private

Definition at line 213 of file progressobserver.h.

## ◆ _result

ProgressObserver::FinishResult zyppng::operators::detail::progress_helper< progress_helper_mode::Finish >::_result
| private

Definition at line 214 of file progressobserver.h.

## ◆ _progressObserver [2/2]

ProgressObserverRef zyppng::operators::detail::progress_helper< mode >::_progressObserver
| private

Definition at line 162 of file progressobserver.h.

## ◆ _newString

std::optional<std::string> zyppng::operators::detail::progress_helper< mode >::_newString
| private

Definition at line 163 of file progressobserver.h.

## ◆ _progressInc

double zyppng::operators::detail::progress_helper< mode >::_progressInc
| private

Definition at line 164 of file progressobserver.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/ui/progressobserver.h